PrefabFiles = {
    "whisperpod_normal",
    "snapplant"
}

Assets = {
    Asset("SOUNDPACKAGE", "sound/UCSounds.fev"),
    Asset("SOUND", "sound/UCSounds_bank00.fsb"),
    Asset("ANIM", "anim/snapdragon_build_pale.zip"),
	Asset("ANIM", "anim/snapdragon_build_pink.zip"),
	Asset("ANIM", "anim/snapdragon_build_yellow.zip"),
	Asset("ANIM", "anim/snapdragon_build_purple.zip"),
	Asset("ANIM", "anim/snapdragon_build_red.zip"),
	Asset("ANIM", "anim/snapdragon_build_orange.zip"),
	Asset("ANIM", "anim/snapdragon_build_green.zip"),
    Asset("ANIM", "anim/snapplant.zip"),
    Asset("ATLAS", "images/inventoryimages/snapplant.xml"),	
    Asset("IMAGE", "images/inventoryimages/snapplant.tex"),
    Asset( "IMAGE", "images/map_icons/snapplant_map.tex"),
	Asset( "ATLAS", "images/map_icons/snapplant_map.xml"),
}

STRINGS = GLOBAL.STRINGS.NAMES

STRINGS.SNAPDRAGON_BUDDY_pale = "Pale Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_orange = "Orange Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_red = "Red Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_purple = "Purple Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_pink = "Pink Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_green = "Green Snap Buddy"
STRINGS.SNAPDRAGON_BUDDY_yellow = "Yellow Snap Buddy"

STRINGS.PALE_VOMIT = "Pale Vomit"
STRINGS.ORANGE_VOMIT = "Orange Vomit"
STRINGS.RED_VOMIT = "Red Vomit"
STRINGS.PURPLE_VOMIT = "Purple Vomit"
STRINGS.PINK_VOMIT = "Pink Vomit"
STRINGS.GREEN_VOMIT = "Green Vomit"
STRINGS.YELLOW_VOMIT = "Yellow Vomit"
STRINGS.SNAPPLANT = "Snap Plant"
STRINGS.WHISPERPOD = "Whisper Pod"
STRINGS.WHISPERPOD_NORMAL_GROUND = "Whisper Pod"

-- Speech

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "It looks hungry. Me too."
DESCRIBE.SNAPDRAGON = "It looks nice enough."
DESCRIBE.SNAPPLANT = "A little piece of home."
DESCRIBE.WHISPERPOD = "Lets see what happens when you put it in the ground."
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Need some seeds?",
    GROWING = "Guh! It's growing so slowly!",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "This food's mine, you can't have it!"
DESCRIBE.SNAPDRAGON = "I wonder if you'd burn brighter than most."
DESCRIBE.SNAPPLANT = "The big guy likes that dumb plant alot."
DESCRIBE.WHISPERPOD = "Yuck, lets just stick it in the ground and be done with it."
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "I think it wants something.",
    GROWING = "Hurry up, you stupid plant!",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "Plant need food to grow strong like Wolfgang!"
DESCRIBE.SNAPDRAGON = "Mightiest plant!"
DESCRIBE.SNAPPLANT = "Good looking plant!"
DESCRIBE.WHISPERPOD = "Wolfgang use green thumb?"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Need something to grow big and strong!",
    GROWING = "Is still growing.",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "Reminds me of a dionaea muscipula."
DESCRIBE.SNAPDRAGON = "Truly a Lusus Naturae!"
DESCRIBE.SNAPPLANT = "I believe it has formed a symbiotic relationship."
DESCRIBE.WHISPERPOD = "Some gardening may be required."
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "A host for plant growth, perhaps?",
    GROWING = "It is not yet ready for harvest.",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "LIVING FARM; FOOD GOES IN, OTHER FOOD COMES OUT."
DESCRIBE.SNAPDRAGON = "THE ALPHA."
DESCRIBE.SNAPPLANT = "IT'S ATTRACTED TO THAT FLOWER. WHY."
DESCRIBE.WHISPERPOD = "PUT THIS DISGUSTING THING BACK IN THE GROUND"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "IT WANTS MORE FROM ME",
    GROWING = "GO FASTER, PLANT",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "Lives for food, like everything else."
DESCRIBE.SNAPDRAGON = "Ive seen prettier flowers."
DESCRIBE.SNAPPLANT = "These two have a near inseperable bond."
DESCRIBE.WHISPERPOD = "It won't grow on its own."
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "It needs something else to grow.",
    GROWING = "Keep growing. I'll wait.",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "Golly! We're glad they don't eat meat!"
DESCRIBE.SNAPDRAGON = "It looks pretty!"
DESCRIBE.SNAPPLANT = "Best buds! Get it?"
DESCRIBE.WHISPERPOD = "Lets get you planted!"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Let's try growing something in it!",
    GROWING = "Is it done yet?",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WORMWOOD.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "Hungry friend"
DESCRIBE.SNAPDRAGON = "Big friend! Big belly!"
DESCRIBE.SNAPPLANT = "Looking good!"
DESCRIBE.WHISPERPOD = "Need some dirt?"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Needs seed",
    GROWING = "Almost there!",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "This one seems friendly enough."
DESCRIBE.SNAPDRAGON = "Seems like a well endowed bunch."
DESCRIBE.SNAPPLANT = "Ah, the beauty of nature!"
DESCRIBE.WHISPERPOD = "It belongs in the ground, I think?"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Needs something else to grow.",
    GROWING = "A watched plant never grows.",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WARBUCKS.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "'Tis no warrior!"
DESCRIBE.SNAPDRAGON = "'Tis a vegetable - mine mortal enemy!"
DESCRIBE.SNAPPLANT = "They have a strong bond!"
DESCRIBE.WHISPERPOD = "Gardening is not a warriors task!"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Mayhaps seeds could come in handy.",
    GROWING = "I am a shieldmaiden, not a farmer!",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WARLY.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "It's hunger calls for me!"
DESCRIBE.SNAPDRAGON = "Goodness, you're large."
DESCRIBE.SNAPPLANT = "A lively plant!"
DESCRIBE.WHISPERPOD = "Lets get you some soil!"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "Crop seeds could be handy.",
    GROWING = "That is it, just a little more...",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "If I feed it, will it go away?"
DESCRIBE.SNAPDRAGON = "I have no quarrel with you. Yet."
DESCRIBE.SNAPPLANT = "You look familiar."
DESCRIBE.WHISPERPOD = "Great, more dirty work."
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "It needs more? How do these things reproduce on their own?",
    GROWING = "It's growing.",
}

DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WILBA.DESCRIBE
DESCRIBE.SNAPDRAGON_BUDDY = "TIS A BIG O' FRIEND!"
DESCRIBE.SNAPDRAGON = "TIS A WALKINGS TREE!"
DESCRIBE.SNAPPLANT = "TIS PRETTY, I WANT IT!"
DESCRIBE.WHISPERPOD = "WILBA WILL PLANTETH"
DESCRIBE.WHISPERPOD_NORMAL_GROUND =
{
    GENERIC = "NEED'ST FEEDING",
    GROWING = "TIS GROW'DING",
}

--DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WOODLEGS.DESCRIBE
--DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WHEELER.DESCRIBE
--DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WAGSTAFF.DESCRIBE
--DESCRIBE = GLOBAL.STRINGS.CHARACTERS.WALANI.DESCRIBE