GLOBAL.require("map/terrain")
local GROUND = GLOBAL.GROUND

local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")

Layouts["radishgrove"] =  StaticLayout.Get("map/layouts/radishgrove")

AddRoom("snapdragon_den", {
        colour={r=1.0,g=1.0,b=1.0,a=0.3},
        value = GROUND.RAINFOREST,
        tags = {"ExitPiece","Bramble"},
        contents = {
            countstaticlayouts={
                ["radishgrove"] = 1,
            },
            distributepercent = .35, -- .5
            distributeprefabs =
            {
                rainforesttree = .5,
                flower_rainforest = .2,
                pig_ruins_torch = .1,
                skeleton = 0.05,
            },
            countprefabs = 
            {
                snapdragon = function () return 1 + math.random(2,6) end,
            },		
            }
})

AddTaskPreInit("Deep_rainforest", 
    function(task)
        task.room_choices["snapdragon_den"] = 1
    end
)